.filter-icon {
  position: absolute !important;
  top: -13px;

  &.filter-icon-after {
    right: 13px;
  }

  &.filter-icon-before {
    left: -10px;
  }

  mat-icon {
    font-size: 19px;
  }

  &.filter-icon-active {
    mat-icon {
      color: $appLightRed;
    }
  }
}

[appfilter] {
  mat-header-cell {
    position: relative;
  }

  &:not(.filter-right) {
    mat-header-cell {
      padding-left: 28px; //required for left positioned filter icon only
    }
  }
}

.filter-panel {
  max-height: 350px !important;

  .mat-menu-content {
    .mat-menu-item:hover:not([disabled]) {
      background: inherit; // cursor: initial;
    }
    padding: 0;
  }
}


//generic style
.mat-selection-list.selectall-checkbox-separator,
.mat-selection-list.selectall-checkbox-separator[dense] {
  padding-top: 0;

  .mat-list-option .mat-list-text {
    padding-left: 8px;
  }
}

.checkbox-small {

  .mat-pseudo-checkbox,
  .mat-checkbox-inner-container {
    height: 16px;
    width: 16px;
  }

  .mat-pseudo-checkbox-checked::after {
    top: 4px;
    left: 2px;
    width: 10px;
    height: 4px;
  }
}
